import { defineConfig, splitVendorChunkPlugin } from 'vite'

import dotenv from 'dotenv'
import preact from '@preact/preset-vite'

dotenv.config()

console.log(`[Config] BASE_URL = "${process.env.BASE_URL}"`)

export default defineConfig({
    base: process.env.BASE_URL,
    build: {
        rollupOptions: {
            output: {
                manualChunks(id) {
                    if (id.includes('katex')) {
                        return 'katex'
                    }
                    if (id.includes('unified') || id.includes('remark') || id.includes('rehype')) {
                        return 'markdown'
                    }
                },
            },
        },
    },
    plugins: [splitVendorChunkPlugin(), preact()],
})
